options {
	directory 	"/var/named";
	dump-file 	"/var/named/data/cache_dump.db";
	statistics-file "/var/named/data/named_stats.txt";
	memstatistics-file "/var/named/data/named_mem_stats.txt";
	recursion yes;
	allow-recursion { any; };
	bindkeys-file "/etc/named.iscdlv.key";
	managed-keys-directory "/var/named/dynamic";
	pid-file "/run/named/named.pid";
	session-keyfile "/run/named/session.key";
};

logging {
	channel query-log {
  	file "data/named_query.log" versions 10 size 1000m;
    severity info;
    print-time yes;
  };
  category queries { query-log; };
};

view "internal" { 
	match-clients { any; };
	zone "." IN {
		type hint;
	  file "named.ca";
	};

	zone "use.com.tw" 						 IN {	type master; file "internal/named.jpo"; };

	zone "0058.com"                IN { type master; file "internal/named.jpo"; };
	zone "17kds.net"               IN { type master; file "internal/named.jpo"; };
	zone "197c.com"                IN { type master; file "internal/named.jpo"; };
	zone "51.com"                  IN { type master; file "internal/named.jpo"; };
	zone "51gaoqing.com"           IN { type master; file "internal/named.jpo"; };
	zone "56.com"                  IN { type master; file "internal/named.jpo"; };
	zone "6.cn"                    IN { type master; file "internal/named.jpo"; };
	zone "69xiu.com"               IN { type master; file "internal/named.jpo"; };
	zone "9158.com"                IN { type master; file "internal/named.jpo"; };
	zone "91kds.net"               IN { type master; file "internal/named.jpo"; };
	zone "9see.com"                IN { type master; file "internal/named.jpo"; };
	zone "ahtv.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "aipai.com"               IN { type master; file "internal/named.jpo"; };
	zone "akamaihd.net"            IN { type master; file "internal/named.jpo"; };
	zone "audiocn.org"             IN { type master; file "internal/named.jpo"; };
	zone "bale.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "baofeng.com"             IN { type master; file "internal/named.jpo"; };
	zone "baoku.baidu.com"         IN { type master; file "internal/named.jpo"; };
	zone "baomihua.com"            IN { type master; file "internal/named.jpo"; };
	zone "brtn.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "changba.com"             IN { type master; file "internal/named.jpo"; };
	zone "cntv.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "cuctv.com"               IN { type master; file "internal/named.jpo"; };
	zone "cztv.com"                IN { type master; file "internal/named.jpo"; };
	zone "diantai.ifeng.com"       IN { type master; file "internal/named.jpo"; };
	zone "doshow.com.cn"           IN { type master; file "internal/named.jpo"; };
	zone "dragontv.cn"             IN { type master; file "internal/named.jpo"; };
	zone "duapp.com"               IN { type master; file "internal/named.jpo"; };
	zone "duomi.com"               IN { type master; file "internal/named.jpo"; };
	zone "dytt8.net"               IN { type master; file "internal/named.jpo"; };
	zone "fengyunzhibo.com"        IN { type master; file "internal/named.jpo"; };
	zone "fun.tv"                  IN { type master; file "internal/named.jpo"; };
	zone "funshion.com"            IN { type master; file "internal/named.jpo"; };
	zone "gdtv.com.cn"             IN { type master; file "internal/named.jpo"; };
	zone "guoshi.com"              IN { type master; file "internal/named.jpo"; };
	zone "hljtv.com"               IN { type master; file "internal/named.jpo"; };
	zone "hunantv.com"             IN { type master; file "internal/named.jpo"; };
	zone "imgo.tv"                 IN { type master; file "internal/named.jpo"; };
	zone "iqilu.com"               IN { type master; file "internal/named.jpo"; };
	zone "iqiyi.com"               IN { type master; file "internal/named.jpo"; };
	zone "joy.cn"                  IN { type master; file "internal/named.jpo"; };
	zone "jstv.com"                IN { type master; file "internal/named.jpo"; };
	zone "kankan.com"              IN { type master; file "internal/named.jpo"; };
	zone "kascend.com"             IN { type master; file "internal/named.jpo"; };
	zone "kktv1.com"               IN { type master; file "internal/named.jpo"; };
	zone "ku6.com"                 IN { type master; file "internal/named.jpo"; };
	zone "kugou.com"               IN { type master; file "internal/named.jpo"; };
	zone "kumi.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "kuwo.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "letv.com"                IN { type master; file "internal/named.jpo"; };
	zone "lxdns.com"               IN { type master; file "internal/named.jpo"; };
	zone "m1905.com"               IN { type master; file "internal/named.jpo"; };
	zone "migu.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "music.baidu.com"         IN { type master; file "internal/named.jpo"; };
	zone "pps.tv"                  IN { type master; file "internal/named.jpo"; };
	zone "pptv.com"                IN { type master; file "internal/named.jpo"; };
	zone "qingting.fm"             IN { type master; file "internal/named.jpo"; };
	zone "qingtingfm.com"          IN { type master; file "internal/named.jpo"; };
	zone "show.sina.com.cn"        IN { type master; file "internal/named.jpo"; };
	zone "sinashow.com"            IN { type master; file "internal/named.jpo"; };
	zone "sinovision.net"          IN { type master; file "internal/named.jpo"; };
	zone "smgbb.tv"                IN { type master; file "internal/named.jpo"; };
	zone "stadig.ifeng.com"        IN { type master; file "internal/named.jpo"; };
	zone "tangdou.com"             IN { type master; file "internal/named.jpo"; };
	zone "tudou.com"               IN { type master; file "internal/named.jpo"; };
	zone "tv.sohu.com"             IN { type master; file "internal/named.jpo"; };
	zone "tv189.com"               IN { type master; file "internal/named.jpo"; };
	zone "tvb.com"                 IN { type master; file "internal/named.jpo"; };
	zone "tvmao.com"               IN { type master; file "internal/named.jpo"; };
	zone "ucatv.com.cn"            IN { type master; file "internal/named.jpo"; };
	zone "v.baidu.com"             IN { type master; file "internal/named.jpo"; };
	zone "v.ifeng.com"             IN { type master; file "internal/named.jpo"; };
	zone "v.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "v1.cn"                   IN { type master; file "internal/named.jpo"; };
	zone "vanchu.net"              IN { type master; file "internal/named.jpo"; };
	zone "verycd.com"              IN { type master; file "internal/named.jpo"; };
	zone "video.qq.com"            IN { type master; file "internal/named.jpo"; };
	zone "video.sina.com.cn"       IN { type master; file "internal/named.jpo"; };
	zone "vmovier.com"             IN { type master; file "internal/named.jpo"; };
	zone "wasu.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "weishi.com"              IN { type master; file "internal/named.jpo"; };
	zone "woxiu.com"               IN { type master; file "internal/named.jpo"; };
	zone "xiu8.com"                IN { type master; file "internal/named.jpo"; };
	zone "xunlei.com"              IN { type master; file "internal/named.jpo"; };
	zone "y.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "y80s.net"                IN { type master; file "internal/named.jpo"; };
	zone "yaakuu.com"              IN { type master; file "internal/named.jpo"; };
	zone "youku.com"               IN { type master; file "internal/named.jpo"; };
	zone "youshow.cn"              IN { type master; file "internal/named.jpo"; };
	zone "yy.com"                  IN { type master; file "internal/named.jpo"; };
	zone "yyets.com"               IN { type master; file "internal/named.jpo"; };
	zone "yymommy.com"             IN { type master; file "internal/named.jpo"; };
	zone "zjstv.com"               IN { type master; file "internal/named.jpo"; };

	zone "wandoujia.com"           IN { type master; file "internal/named.jpo"; };
	zone "wdjcdn.com"              IN { type master; file "internal/named.jpo"; };
	zone "anzhi.com"               IN { type master; file "internal/named.jpo"; };
	zone "goapk.com"               IN { type master; file "internal/named.jpo"; };
	zone "91.com"                  IN { type master; file "internal/named.jpo"; };
	zone "hiapk.com"               IN { type master; file "internal/named.jpo"; };
	zone "as.baidu.com"            IN { type master; file "internal/named.jpo"; };
	zone "sjzhushou.com"           IN { type master; file "internal/named.jpo"; };
	zone "9game.cn"                IN { type master; file "internal/named.jpo"; };
	zone "eoemarket.com"           IN { type master; file "internal/named.jpo"; };
	zone "appchina.com"            IN { type master; file "internal/named.jpo"; };
	zone "anruan.com"              IN { type master; file "internal/named.jpo"; };

	zone "myapp.com"               IN { type master; file "internal/named.jpo"; };
	zone "360.cn"                  IN { type master; file "internal/named.jpo"; };
//	zone "cn"                       IN { type master; file "internal/named.jpo"; };
//	zone "com"                      IN { type master; file "internal/named.jpo"; };
	zone "."                       IN { type master; file "internal/named.jpo"; };

/*
	zone "*.ab.cn"                  IN { type master; file "internal/named.jpo"; };
	zone "monitor.uu.qq.com"               IN { type master; file "internal/named.jpo"; };
	zone "3g.qq.com"               IN { type master; file "internal/named.jpo"; };
	zone "app.qq.com"               IN { type master; file "internal/named.jpo"; };
	zone "qq.com"               IN { type master; file "internal/named.jpo"; };
*/


/*
//	zone "sandai.net"              IN { type master; file "internal/named.jpo"; };
//	zone "domob.cn"                IN { type master; file "internal/named.jpo"; };
//	zone "shoujiduoduo.com"                IN { type master; file "internal/named.jpo"; };
//	zone "miaozhen.com"                IN { type master; file "internal/named.jpo"; };
//	zone "umeng.co"             IN { type master; file "internal/named.jpo"; };

	zone "upaiyun.com"             IN { type master; file "internal/named.jpo"; };
	zone "sharesdk.cn"             IN { type master; file "internal/named.jpo"; };
	zone "easytomessage.com"             IN { type master; file "internal/named.jpo"; };
	zone "talkingdata.net"             IN { type master; file "internal/named.jpo"; };
	zone "xiaomi.com"             IN { type master; file "internal/named.jpo"; };
	zone "qiniudn.com"             IN { type master; file "internal/named.jpo"; };
	zone "gooncheck.com"             IN { type master; file "internal/named.jpo"; };
	zone "uu.qq.com"             IN { type master; file "internal/named.jpo"; };
	zone "jpush.cn"             IN { type master; file "internal/named.jpo"; };
	zone "mi-idc.com"             IN { type master; file "internal/named.jpo"; };

//	zone "ttpod.com"                IN { type master; file "internal/named.jpo"; };
//	zone "ttpod.cn"                IN { type master; file "internal/named.jpo"; };
//	zone "hotchaleur.com"          IN { type master; file "internal/named.jpo"; };
	zone "tlkg.com.cn"             IN { type master; file "internal/named.jpo"; };
	zone "centv.cn"              IN { type master; file "internal/named.jpo"; };
	zone "allyes.com.cn"              IN { type master; file "internal/named.jpo"; };
	zone "video.10086.cn"          IN { type master; file "internal/named.jpo"; };
	
	zone "chinacache.net"          IN { type master; file "internal/named.jpo"; };
	zone "veryhd.net"              IN { type master; file "internal/named.jpo"; };
	zone "sohu.com"              IN { type master; file "internal/named.jpo"; };
	zone "3g.91kds.net"               IN { type master; file "internal/named.jpo"; };
	zone "tv.cntv.cn"               IN { type master; file "internal/named.jpo"; };
	zone "play.api.pptv.com"               IN { type master; file "internal/named.jpo"; };
	zone "sxrtv.com"              IN { type master; file "internal/named.jpo"; };
	zone "m.tvmao.com"              IN { type master; file "internal/named.jpo"; };
	zone "web-play.pptv.com"              IN { type master; file "internal/named.jpo"; };
	zone "cntv.chinacache.net"              IN { type master; file "internal/named.jpo"; };
	zone "gslb.tv.sohu.com"              IN { type master; file "internal/named.jpo"; };
	zone "api.veryhd.net"              IN { type master; file "internal/named.jpo"; };
	zone "live.gslb.letv.com"              IN { type master; file "internal/named.jpo"; };
	zone "vdn.apps.cntv.cn"              IN { type master; file "internal/named.jpo"; };
	zone "vapptime.cntv.chinacache.net"              IN { type master; file "internal/named.jpo"; };

	zone "vcsp.ifeng.com"          IN { type master; file "internal/named.jpo"; };
	zone "mpush.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "qqlive.qq.com"                IN { type master; file "internal/named.jpo"; };
*/

	include "/etc/named.rfc1912.zones";

};

